Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.charts
Class YListSeriesCollection

    java.lang.Object
      umontreal.iro.lecuyer.charts.SSJXYSeriesCollection
          umontreal.iro.lecuyer.charts.XYListSeriesCollection
              umontreal.iro.lecuyer.charts.YListSeriesCollection

    public class YListSeriesCollection

extends XYListSeriesCollection

This class extends `XYListSeriesCollection`. The data is given as lists of y-coordinates. The x-coordinates are simply the indices (+1) of each y-coordinate in the given lists.

Constructor Summary
`YListSeriesCollection(double[]... data)` Creates a new `YListSeriesCollection` instance with default parameters and given data series.
`YListSeriesCollection(double[][] data, int numPoints)` Creates a new `YListSeriesCollection` instance with default parameters and given data series.
`YListSeriesCollection(double[] data, int numPoints)` Creates a new `YListSeriesCollection` instance with default parameters and one data series.

Method Summary

Methods inherited from class umontreal.iro.lecuyer.charts.XYListSeriesCollection
`add, add, add, add, add, disableAutoCompletion, enableAutoCompletion, getDashPattern, getMarksType, getName, getPlotStyle, setDashPattern, setMarksType, setName, setPlotStyle, toLatex`

Methods inherited from class umontreal.iro.lecuyer.charts.SSJXYSeriesCollection
`getColor, getDomainBounds, getRangeBounds, getRenderer, getSeriesCollection, getX, getY, setColor, setRenderer, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### YListSeriesCollection

    public YListSeriesCollection(double[]... data)

  Creates a new `YListSeriesCollection` instance with default parameters and given data series. The input vectors represent sets of plotting data. More specifically, each vector `data` represents a y-coordinates set. Position in the vector will form the x-coordinates. Indeed the value `data`[j] corresponds to the point (j + 1,`data`[j]) on the chart.

  Parameters:
    `data` - series of point sets.

### YListSeriesCollection

    public YListSeriesCollection(double[] data,
                                 int numPoints)

  Creates a new `YListSeriesCollection` instance with default parameters and one data series. The vector `data` represents a set of plotting data. Position in the vector represents the x-coordinate of the points: thus the coordinates of the points are given by (j + 1,`data`[j]). However, only the first `numPoints` of `data` will be considered in the series.

  Parameters:
    `data` - point set.
    `numPoints` - Number of points to plot

### YListSeriesCollection

    public YListSeriesCollection(double[][] data,
                                 int numPoints)

  Creates a new `YListSeriesCollection` instance with default parameters and given data series. The matrix `data` represents a set of plotting data. More specifically, each row of `data` represents a y-coordinates set. Position in the vector will form the x-coordinates. Indeed, for each serie i, the value `data`[i][j] corresponds to the point (j + 1,`data`[j]) on the chart. However, only the first `numPoints` of `data` will be considered for each series of points.

  Parameters:
    `data` - series of point sets.
    `numPoints` - Number of points to plot

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.